Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.hyades.logging.events.cbe.impl
Class ContextDataElementImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.hyades.logging.events.cbe.impl.SerializableImpl
                      org.eclipse.hyades.logging.events.cbe.impl.ContextDataElementImpl

All Implemented Interfaces:
  java.lang.Cloneable, ContextDataElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject, org.eclipse.emf.common.notify.Notifier, java.io.Serializable

public class ContextDataElementImpl
extends SerializableImpl
implements ContextDataElement, java.lang.Cloneable

An implementation of the model object 'Context Data Element'.

Since:
  1.0
Version:
  1.0.1
Author:
  Denilson Nastacio
See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList`

Nested classes inherited from class org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary
`protected static java.lang.String` | `CONTEXT_ID_EDEFAULT` The default value of the '`Context Id`' attribute.
`protected static java.lang.String` | `CONTEXT_VALUE_EDEFAULT` The default value of the '`Context Value`' attribute.
`protected java.lang.String` | `contextId` The cached value of the '`Context Id`' attribute.
`protected java.lang.String` | `contextValue` The cached value of the '`Context Value`' attribute.
`protected java.lang.String` | `name` The cached value of the '`Name`' attribute.
`protected static java.lang.String` | `NAME_EDEFAULT` The default value of the '`Name`' attribute.
`protected java.lang.String` | `type` The cached value of the '`Type`' attribute.
`protected static java.lang.String` | `TYPE_EDEFAULT` The default value of the '`Type`' attribute.

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`protected` | `ContextDataElementImpl()`

Method Summary
`java.lang.Object` | `clone()` return a cloned (copy by value) object.
`java.lang.Object` | `eGet(org.eclipse.emf.ecore.EStructuralFeature eFeature, boolean resolve)`
`boolean` | `eIsSet(org.eclipse.emf.ecore.EStructuralFeature eFeature)`
`boolean` | `equals(java.lang.Object arg0)`
`void` | `eSet(org.eclipse.emf.ecore.EStructuralFeature eFeature, java.lang.Object newValue)`
`protected org.eclipse.emf.ecore.EClass` | `eStaticClass()`
`void` | `eUnset(org.eclipse.emf.ecore.EStructuralFeature eFeature)`
`java.lang.String` | `getContextId()`
`java.lang.String` | `getContextValue()`
`java.lang.String` | `getName()`
`java.lang.String` | `getType()`
`void` | `init()` Resets the object's properties to their initial (e.g.
`void` | `setContextId(java.lang.String newContextId)`
`void` | `setContextValue(java.lang.String newContextValue)`
`void` | `setName(java.lang.String newName)`
`void` | `setType(java.lang.String newType)`
`java.lang.String` | `toString()`
`void` | `validate()` Checks whether the contents of this object conforms to the CBE specification.

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eIsProxy, eProperties, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicIsSet, eDynamicSet, eDynamicUnset, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseRemove, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eResolveProxy, eResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eStaticFeatureCount, eStore, eURIFragmentSegment`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eIsProxy, eResource`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Field Detail

### CONTEXT_ID_EDEFAULT

    protected static final java.lang.String CONTEXT_ID_EDEFAULT

  The default value of the '`Context Id`' attribute.

  See Also:
    `getContextId()`

### contextId

    protected java.lang.String contextId

  The cached value of the '`Context Id`' attribute.

  See Also:
    `getContextId()`

### CONTEXT_VALUE_EDEFAULT

    protected static final java.lang.String CONTEXT_VALUE_EDEFAULT

  The default value of the '`Context Value`' attribute.

  See Also:
    `getContextValue()`

### contextValue

    protected java.lang.String contextValue

  The cached value of the '`Context Value`' attribute.

  See Also:
    `getContextValue()`

### NAME_EDEFAULT

    protected static final java.lang.String NAME_EDEFAULT

  The default value of the '`Name`' attribute.

  See Also:
    `getName()`

### name

    protected java.lang.String name

  The cached value of the '`Name`' attribute.

  See Also:
    `getName()`

### TYPE_EDEFAULT

    protected static final java.lang.String TYPE_EDEFAULT

  The default value of the '`Type`' attribute.

  See Also:
    `getType()`

### type

    protected java.lang.String type

  The cached value of the '`Type`' attribute.

  See Also:
    `getType()`

Constructor Detail

### ContextDataElementImpl

    protected ContextDataElementImpl()

Method Detail

### eStaticClass

    protected org.eclipse.emf.ecore.EClass eStaticClass()

  Overrides:
    `eStaticClass` in class `SerializableImpl`

### getContextId

    public java.lang.String getContextId()

  Specified by:
    `getContextId` in interface `ContextDataElement`
  Returns:
    the value of the 'Context Id' attribute.
  See Also:
    `ContextDataElement.setContextId(String)`, `EventPackage.getContextDataElement_ContextId()`

### setContextId

    public void setContextId(java.lang.String newContextId)

  Specified by:
    `setContextId` in interface `ContextDataElement`
  Parameters:
    `newContextId` - the new value of the 'Context Id' attribute.
  See Also:
    `ContextDataElement.getContextId()`

### getContextValue

    public java.lang.String getContextValue()

  Specified by:
    `getContextValue` in interface `ContextDataElement`
  Returns:
    the value of the 'Context Value' attribute.
  See Also:
    `ContextDataElement.setContextValue(String)`, `EventPackage.getContextDataElement_ContextValue()`

### setContextValue

    public void setContextValue(java.lang.String newContextValue)

  Specified by:
    `setContextValue` in interface `ContextDataElement`
  Parameters:
    `newContextValue` - the new value of the 'Context Value' attribute.
  See Also:
    `ContextDataElement.getContextValue()`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `ContextDataElement`
  Returns:
    the value of the 'Name' attribute.
  See Also:
    `ContextDataElement.setName(String)`, `EventPackage.getContextDataElement_Name()`

### setName

    public void setName(java.lang.String newName)

  Specified by:
    `setName` in interface `ContextDataElement`
  Parameters:
    `newName` - the new value of the 'Name' attribute.
  See Also:
    `ContextDataElement.getName()`

### getType

    public java.lang.String getType()

  Specified by:
    `getType` in interface `ContextDataElement`
  Returns:
    the value of the 'Type' attribute.
  See Also:
    `ContextDataElement.setType(String)`, `EventPackage.getContextDataElement_Type()`

### setType

    public void setType(java.lang.String newType)

  Specified by:
    `setType` in interface `ContextDataElement`
  Parameters:
    `newType` - the new value of the 'Type' attribute.
  See Also:
    `ContextDataElement.getType()`

### eGet

    public java.lang.Object eGet(org.eclipse.emf.ecore.EStructuralFeature eFeature,
                                 boolean resolve)

  Specified by:
    `eGet` in interface `org.eclipse.emf.ecore.EObject`

### eSet

    public void eSet(org.eclipse.emf.ecore.EStructuralFeature eFeature,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `org.eclipse.emf.ecore.EObject`

### eUnset

    public void eUnset(org.eclipse.emf.ecore.EStructuralFeature eFeature)

  Specified by:
    `eUnset` in interface `org.eclipse.emf.ecore.EObject`

### eIsSet

    public boolean eIsSet(org.eclipse.emf.ecore.EStructuralFeature eFeature)

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.EObject`

### toString

    public java.lang.String toString()

### validate

    public void validate()
                  throws ValidationException

  Checks whether the contents of this object conforms to the CBE specification.

  Specified by:
    `validate` in interface `ContextDataElement`
  Throws:
    `ValidationException` - if the object does not follow the CBE specification.

### equals

    public boolean equals(java.lang.Object arg0)

  See Also:
    `Object.equals(java.lang.Object)`

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  return a cloned (copy by value) object. This is a deep copy version, in which all the objects within this object will be copied by value.

  Returns:
    Object
  Throws:
    `java.lang.CloneNotSupportedException`

### init

    public void init()

  Resets the object's properties to their initial (e.g. null) state. All components are initialized to either zero or null.

  Specified by:
    `init` in interface `ContextDataElement`
  Since:
    1.0

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD